#ifndef UTIL_H
#define UTIL_H

#define KRED  "\x1B[31m"
#define KGRN  "\x1B[32m"
#define KBLK "\x1B[0m"


void printf_red(char* string) { printf("%s%s%s",KRED, string, KBLK); }
void printf_green(char* string) { printf("%s%s%s",KGRN, string, KBLK); }






static void handleError( cudaError_t error, const char *file, int line ) {
    if (error != cudaSuccess) {
        printf( "%s in %s at line %d\n", cudaGetErrorString( error ), file, line );
        exit( -1 );
    }
}

#define HANDLE_ERROR( error ) (handleError( (error) , __FILE__ , __LINE__ ))


#endif
